\documentclass[12pt]{article}
\usepackage{graphics,my,comb}
\usepackage{makeidx}

\graphicspath{{figures/}}

\oddsidemargin 0mm

\renewcommand{\sketch}{Sketch}
\renewcommand{\arule}{Rule}
\renewcommand\contentsname{Contents}
\renewcommand\refname{References}
\renewcommand\tablename{Table}
\usepackage{times}
\makeindex
%\flushbottom

\begin{document}
\title{ME3E course, slope deflection method, exercise, homework 10}
\author{Petr \v Re\v richa }
%\month{May}
%\year{1997}
%\date{}
\maketitle
%\tableofcontents

\topmargin -15mm
\topmargin -24mm
% the page size required by CVUT Edition center:
\textheight 250mm
\textwidth 160mm
\oddsidemargin 0mm
\footskip 10mm
\pagestyle{plain}
\textfloatsep 0pt

The examples complement section 4.1-4.4 of the lecture notes
'force and slope defl. methods' on the course web page, just 'Notes'
forthwith. They
should substitute classes of the present 10th week of the semester.
Questions concerning the stuff, address, please, to\\
'petr.rericha@fsv.cvut.cz'.\\ 
HW 10 should be delivered at the same address
by tuesday, April, 28th. If possible, process the homework
in a document processor (Word, Latex,..), scanned manuscripts are
acceptable, too. 


The cross-section stiffnesses $EA=1$, $EJ=1$ are assumed in most examples
for brevity unless otherwise stated.

\section{Reference for formulas and variables}
The arrows indicating displacements, rotations, forces and moments define
their positive senses!
\\
The real displacements and rotations are very small, both $\varphi_i$ and $\psi_{i,j}$
are of the order $0.001$ in real structures. The geometric relations valid
for infinitesimal displacements and rotations are therefore used,
for instance $\psi_{i,j}=v/l_{i,j}$. 
\\
\insFigUp{end-forces.pdf}{\textwidth}
\begin{equation}
M_{i,j} = k_{i,j} (2\phi_i + \phi_j -3~\psi_{i,j}) + M_{i,j}^f 
%                                                       \label{eq_sd4}
\end{equation}
$M_{i,j}$ - end moment at joint $i$ of beam $i,j$ owing to the joint
and beam rotations and to the beam load. The beam load is not shown in the left sketch
in order not to obscure the picture, instead its tokens are visible in the right sketch.
\\
$M_{i,j}^f$ - fixed end moment at joint $i$ of beam $i,j$ owing to the beam load alone
 with joint displacements and rotations fixed.
$\varphi_i$ - joint rotation
\\
$\psi_{i,j}$ - beam rotation
\\
A table of the fixed-end moments is provided for easy reference:
\begin{tabl}
\begin{center}
Fixed-end moments
\index{end moments!fixed}%
\begin{tabular}{cccccc}
load & $M_{i,j}^f$ & $M_{j,i}^f$& load & $M_{i,j}^f$ & $M_{j,i}^f$\\
\hline
\insFigUp{sdtab1.pdf}{0.2\textwidth}&${F a b^2 \over l^2}$ & ${-Fa^2b
\over l^2}$
&\insFigUp{sdtab4.pdf}{0.2\textwidth}&$fa^2{6l^2-8al+3a^2\over 12l^2}$ 
& $fa^3{3a-4l\over 12l^2}$\\
\insFigUp{sdtab2.pdf}{0.2\textwidth}&$Mb{2a-b\over l^2}$ & $Ma{2b-a
\over l^2} $
&\insFigUp{sdtab5.pdf}{0.2\textwidth}&$fl^2/20$&$-fl^2/30$ \\
\insFigUp{sdtab3.pdf}{0.2\textwidth}&$fl^2/12$ & $-fl^2/12 $
&\insFigUp{sdtab6.pdf}{0.2\textwidth}&$-{\Delta t~\alpha~EJ\over h}$ 
&${\Delta t~ \alpha~EJ\over h} $
\end{tabular}
\end{center}
\label{tabl_1}
\end{tabl}
A modified formula is valid for the end moment $M_{i,j}$ when end $j$ is attached
to the joint by a hinge:
\\
\insFigUp{end-forces-hinge.pdf}{0.5\textwidth}
\begin{equation}
M_{i,j}= k_{i,j}{3\over 2}(\phi_i-\psi_{i,j}) 
  +M_{i,j}^f-{M_{j,i}^f\over 2}
  ~~~~~~{\rm hinge~at~}j~~~~~~~M_{j,i}=0
%                                                       \label{eq_sd6} 
\end{equation}
If a beam is not loaded then a simple formula follows from its free body equilibrum
condition:
\begin{equation}
V_{i,j}= {M_{i,j}+M_{j,i}\over l_{i,j}}                  
\end{equation}

\section{Frame without sidesway}
\insFigUp{frame1.pdf}{\textwidth}
\\
Degrees of freedom (DOFs) in the slope deflection method have different
meaning than the same term in the analysis of statical determinacy of
frames (generally bodies). Here they specify and count the ways 
the joints and beams can move. In deciding on that the axial rigidity 
of the beams must be considered. Each joint can translate in two
 directions and rotate that is, has 3 DOF,
 provided its displacement are not constrained.
Supports and axial rigidity of beams may constrain the DOFs.
Supports and axial rigidity of beams $1,3$ and
$2,3$ imply that joint $3$ cannot translate. Then the rigidity
of beam $3,4$ entails together with the support of joint $4$ that
the joint cannot translate, either. We conclude that the frame has
2DOFs, $\varphi_3$ and $\varphi_4$. The rotation $\varphi_4$ can
be eliminated as described in sec. 4.3 of the Notes. Then a single
DOF remains. This decision is always the first step of the solution
by the slope deflection method. The structure DOFs should always
be clearly specified in the protocol:\\
DOFs:$\varphi_3=\varphi$.\\ The joint subscript can be omitted in the example
since this the only rotation considered.
\\
Beam stiffnesses are specified relative to the reference one, $k_{ref}=2EJ/l_{1,3}$,
for brevity.
\[ k_{1,3}=k_{2,3}=1,~~~k_{3,4}=0.8 \]
Equilibrium equation in terms of the end forces, conjugate to $\varphi_3$:
\[ 3\odot : M_{3,1}+M_{3,2}+M_{3,4}=0 \]
Everything up to this point does not depend on the load. Two actual load cases
are considered in this example, the LC1 is a force load shown in the figure above,
the LC2 is a thermal load by temperature gradient.
\\
\subsection{Force load}
Expressions for the end moments:
\[M_{3,1}=2\varphi,~~~~M_{3,2}=2\varphi,~~~~M_{3,4}=1.5\cdot 0.8\varphi+
 {4\over5}\cdot10\cdot+\left({2.5^3\over 5^2}\right)(1-(-0.5))=1.2\varphi+7.5 \]
Substitution in the equilibrium equation reads
\[5.2\varphi+7.5=0,~~~\Rightarrow~~~\varphi=-1.44~(\cdot {1\over k_{ref}}) \]
Back substitutions deliver the end moments:
\[ M_{3,1}= 2\cdot(-1.44)=-2.88,~~`M_{3,2}=-2.88;~~~M_{3,4}=1.2\cdot(-1.44)+7.5=5.76 \]
The moments do not depend on the reference stiffness when the load is exclusively
force load (no thermal, kinematic,... load). This trick simplifies the numerics
of the solution.

The two remaining end moments are evaluated:
\[ M_{1,3}= \varphi=-1.44,~~~M_{2,3}=\varphi=-1.44 \]
The bending moment at the center of beam $3,4$ can be computed either by
equilibrium conditions of the free body of the beam or by superposition.
Both ways are illustrated in the two sketches in the above figure.
The first way requires two steps.
\[ beam i,j \odot j: M_{3,4}+ 10\cdot 2 - V_{3.4}\cdot 5=0,~~~
 \Rightarrow~~V_{3,4}=5.16 \]
When ad hoc sign convention is adopted for the bending moment, positive when
lower fibers in tension, then 
\[ M_c= -M_{3,4}+V_{3,4}\cdot 2.5=-5.76+5.16\cdot 2.5=7.1 \]
The other way superimposes the effect on a simple beam of the end moments and
the beam load. At the central cross-section it is
\[ M_c= - 5.76/2+{1\over 4} \cdot 10 {4\over 5} 5=-2.88+10=7.12 \]
The shear forces in beams $1,3$ and $2,3$ are readily available by formula (3),
shear force $V_{3,4}=5.16$ has been computed above.
Normal forces follow from
the free body equilibrium condition of beam $3,4$ in the direction
of the beam axis
\[ -N_{3,4}- 10{3\over 5}=0,~~~\Rightarrow~~N_{3,4}=-6\]
and from the equilibrium conditions of joint 3,
\[ 3\uparrow: -V_{3,2}+{4\over 5}V_{3,4}-{3\over 5}N_{3,4}+N_{3,1}=0,~~~
 \Rightarrow~~N_{3,1}=-8.8\]
\[ 3\rightarrow: V_{3,1}-V_{3,4}{3\over5}+N_{3,2}-N_{3,4}{4\over5}=0,~~~
 \Rightarrow~~N_{3,2}=-0.63 \]

\subsection{Thermal load}
Temperature gradient $\Delta t$ affects beam $3,4$, positive when the upper face
is warmer than the bottom one. This is the sign convention used in the table
of the fixed end moments above.
\\
\insFigUp{frame1-tgrad.pdf}{0.8\textwidth}
\\
All forces in the frame will be expressed in terms of the temperature induced
curvature $\kappa_t= -\Delta t \alpha/h$. The minus sign appears here since for
the curvature and bending moments in beam $3,4$ we adopt the usual ad hoc
sign convention - positive extend the lower fibers.
Unlike it was in the force load solution, the reference beam stiffness 
$k_{ref}= 2EJ/l_{2,3}=EJ/2$
is used here in the expressions (the above force load solution was carried out
with unit reference beam stiffness for the sake of brevity).
From the table of the fixed end moments $M_{3,4}^f=-\kappa_t EJ=. -2\kappa_t k_{ref}$.
\[ M_{3,4}=1.5\cdot0.8k_{ref}\varphi + M_{3,4}^f-0.5(-M_{3,4}^f)= 1.2k_{ref}\varphi
+ 1.5M_{3,4}^f= k_{ref}(1.2\varphi-3\kappa_t)\]
The expressions for the other end moments are the same as in the force load
solution just instead of unit reference beam stiffness the true one is used here.
The equilibrum equation in terms of the joint rotation then reads
\[ 5.2  k_{ref} \varphi-3 k_{ref}\kappa_t=0,~~~\Rightarrow~~\varphi=0.58\kappa_t\]
Note that this time the joint rotation is the true one and need not be
divided by $ k_{ref}$ as it was in the force load solution.
The end moments share the common multiplier $k_{ref}\kappa_t$ and their factors
are in the final moment diagram.
\[ M_{3,4}=k_{ref}(0.7-3)\kappa_t=-2.3k_{ref}\kappa_t,~~~M_{3,1}=2k_{ref}\\varphi=
 1.16k_{ref}\kappa_t=M_{3,2} \]
An observation is made on the occasion: when one end of a beam is fixed, the other
does not translate (just rotates) and the beam is not loaded then end moment
at the fixed end equals one half of the moment at the other end.
\\ \\ \\ \\ \\ \\
{\bf HW 10:}\\
Draw the bending moment diagram use the slope deflection method:\\
\insFigUp{frame2.pdf}{0.5\textwidth}

\newpage
{\bf HW10 solution}\\
\insFigUp{frame2-sol.pdf}{\textwidth}\\
All beam stiffnesses are the same so that the solution may go on with $k_{ref}=1$
in all beams for convenience. \\
DOF: $\varphi_4,~~~\varphi_5$\\
Equilibrium eqs:\\
\[ 4\odot: M_{4,3}+M_{4,5}+M_{4,1}=0,~~~5\odot:M_{5,4}+M_{5,2}=0 \]
End moments:
\[M_{4,3}=2\varphi_4+M_{4,3^f}=2\varphi_4 -{1\over12}4^2 =2\varphi_4-1.33 \]
\[M_{4,1}=2\varphi_4,~~~M_{4,5}=2\varphi_4+\varphi_5+1.33\]
\[M_{5,4}=2\varphi_5+\varphi_4-1.33,~~~M_{5,2}=2\varphi_5 \]
The equilibrium equations in the table form:
\[ \begin{array}{ccc}\varphi_4&\varphi_5& load term\\
     6&1&0\\1&4&-1.33  \end{array} \]
result in $\{\varphi_4=-0.058,~~~~\varphi_5=0.347\}~
\cdot \left({1\over k_{ref}}={4\over 2EJ}\right) $ where the true reference
beam stiffness is used in the multiplier. The multiplier is used when
true joint rotations are required. It is not used in the moments and forces
evaluations below.\\
The end moment values:\\
\[M_{4,3}=-1.45,~~~[M_{4,1}=-0.116,~~~~M_{4,5}=1.56,~~~M_{5,4}=-0.70 \]
\[  M_{5,2}=0.70,~~~M_{3,4}=\varphi_4+1.33=1.27,~~~~M_{2,5}=\varphi_5=0.347\]
Shear force $V_{3,4}$ follows from the equilibrium equation of free body diagram
of beam 3,4, see the sketch:
\[ 3,4 \odot 4: 1.27-1.45+4^2/2 -V_{3,4}\cdot 4=0,~~~\Rightarrow~~V_{3,4}=1.95 \]
In the same manner we find $V_{4,5}=2.21$. The moments at beam centers 
(positive when pulling at lower fibers) are
then in beam $3,4$ $M_{3,4,c}= -1.27+1.95\cdot2-2^2/2=0.64$, and $M_{4,5,c}=0.87$.
The bending moments at beam centers could be obtained by superposition, too.

\end{document}
